import { select, range } from 'd3';
import { fruitBowl } from './fruitBowl';

const svg = select('svg');

const width = +svg.attr('width');

const makeFruit = type => ({ type });

let fruits = range(5)
	.map(() => makeFruit('apple'));


const render = () => {
	fruitBowl(svg, {
    fruits, 
    height: +svg.attr('height')
		})
};

render();

//Eat an apple
setTimeout(() => {
	fruits.pop();
  render();
}, 1000);


//replacing apple with lemon
setTimeout(() => {
	fruits[2].type = 'lemon'
  render();
}, 2000);

//Eat another apple
setTimeout(() => {
	fruits = fruits.filter((d, i) => i !== 1);
  render();
}, 3000);







